org.apache.uima.cas.impl

## Class BuiltinTypeKinds

- java.lang.Object
- - org.apache.uima.cas.impl.BuiltinTypeKinds

-     public class BuiltinTypeKinds
      extends Object

  Constants representing Built in type collections String Sets: creatableArrays primitiveTypeNames == noncreatable primitives creatableBuiltinJcas (e.g. empty/non-empty FloatList non creatable primitives (e.g. can't do createFS for primitive int) non creatable and builtin Arrays

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<String>` | `creatableArrays`
    `static Set<String>` | `creatableBuiltinJCas` These types are - builtin, but could be extended by user - creatable - so they need a generator.
    `static Set<String>` | `creatableBuiltinJCasClassNames`
    `static Set<String>` | `nonCreatablePrimitives`
    `static Set<String>` | `nonCreatableTypesAndBuiltinArrays` These types can not be created with CAS.createFS().

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuiltinTypeKinds()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `nonCreatableTypesAndBuiltinArrays_contains(String name)`
    `static boolean` | `primitiveTypeNames_contains(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### creatableArrays

          public static final Set<String> creatableArrays

    - #### nonCreatablePrimitives

          public static final Set<String> nonCreatablePrimitives

    - #### nonCreatableTypesAndBuiltinArrays

          public static final Set<String> nonCreatableTypesAndBuiltinArrays

      These types can not be created with CAS.createFS(). Arrays can be created using CAS.create<XYZ>Array XYZ = Boolean, Byte, etc.

    - #### creatableBuiltinJCasClassNames

          public static final Set<String> creatableBuiltinJCasClassNames

    - #### creatableBuiltinJCas

          public static final Set<String> creatableBuiltinJCas

      These types are - builtin, but could be extended by user - creatable - so they need a generator. -- non-creatable built-in types are not generated

  - ### Constructor Detail

    - #### BuiltinTypeKinds

          public BuiltinTypeKinds()

  - ### Method Detail

    - #### primitiveTypeNames_contains

          public static boolean primitiveTypeNames_contains(String name)

      Parameters:
        `name` - -
      Returns:
        -

    - #### nonCreatableTypesAndBuiltinArrays_contains

          public static boolean nonCreatableTypesAndBuiltinArrays_contains(String name)

      Parameters:
        `name` - -
      Returns:
        -

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.